org.apache.ignite.internal.processors.cache.persistence.metastorage

## Class MetastorageDataRow

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.metastorage.MetastorageDataRow

All Implemented Interfaces:
  MetastorageSearchRow, Storable

    public class MetastorageDataRow
    extends Object
    implements MetastorageSearchRow, Storable

### Constructor Summary

Constructors
Constructor and Description
`MetastorageDataRow(long link, String key, byte[] value)`
`MetastorageDataRow(String key, byte[] value)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `hash()`
`String` `key()`
`long` `link()`
`void` `link(long link)`
`int` `partition()`
`String` `toString()`
`byte[]` `value()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MetastorageDataRow

    public MetastorageDataRow(long link,
                              String key,
                              byte[] value)

#### MetastorageDataRow

    public MetastorageDataRow(String key,
                              byte[] value)

### Method Detail

#### key

    public String key()

Specified by:
  `key` in interface `MetastorageSearchRow`
Returns:
  Key.

#### hash

    public int hash()

Specified by:
  `hash` in interface `MetastorageSearchRow`
Returns:
  Key hash code.

#### partition

    public int partition()

Specified by:
  `partition` in interface `Storable`
Returns:
  Partition.

#### link

    public void link(long link)

Specified by:
  `link` in interface `Storable`
Parameters:
  `link` - Link for this row.

#### link

    public long link()

Specified by:
  `link` in interface `MetastorageSearchRow`
Specified by:
  `link` in interface `Storable`
Returns:
  Link for this row.

#### value

    public byte[] value()

Returns:
  Value.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018